diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7565da6..dc39a6a 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -127734,7 +127734,8 @@ PseudoLinearNormalForm(K:Field): Exports == Implementation where
       -- avoids possible type conflicts
 
     inv m                      == inverse(m) :: Matrix K
-    changeBase(M, A, sig, der) == inv(A) * (M * map(sig #1, A) + map(der, A))
+    changeBase(M, A, sig, der) == 
+      inv(A) * (M * map((k1:K):K +-> sig k1, A) + map(der, A))
     normalForm(M, sig, der)    == normalForm0(M, sig, inv sig, der)
 
     companionBlocks(R, w) ==
diff --git a/changelog b/changelog
index e7b7b78..c27d5c6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090614 tpd src/axiom-website/patches.html 20090614.04.tpd.patch
+20090614 tpd books/bookvol10.4 PSEUDLIN +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.03.tpd.patch
 20090614 tpd books/bookvol10.4 ODPRRIC +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1f0d200..942094d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1571,5 +1571,7 @@ bookvol10.4 PRIMELT +-> conversion<br/>
 bookvol10.4 ODEPRIM +-> conversion<br/>
 <a href="patches/20090614.03.tpd.patch">20090614.03.tpd.patch</a>
 bookvol10.4 ODPRRIC +-> conversion<br/>
+<a href="patches/20090614.04.tpd.patch">20090614.04.tpd.patch</a>
+bookvol10.4 PSEUDLIN +-> conversion<br/>
  </body>
 </html>
